## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationFilterOptions

### Authentication::ezcAuthenticationFilterOptions

### Class ezcAuthenticationFilterOptions

Class containing the basic options for authentication filters.

Source for this file: /Authentication/src/options/filter_options.php

    ezcBaseOptions
       |
       --ezcAuthenticationFilterOptions

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcAuthenticationDatabaseOptions | Class containing the options for the database authentication filter.
ezcAuthenticationLdapOptions | Class containing the options for ldap authentication filter.
ezcAuthenticationGroupOptions | Class containing the options for group authentication filter.
ezcAuthenticationTokenOptions | Class containing the options for the token authentication filter.
ezcAuthenticationOpenidOptions | Class containing the options for the OpenID authentication filter.
ezcAuthenticationTypekeyOptions | Class containing the options for the TypeKey authentication filter.
ezcAuthenticationHtpasswdOptions | Class containing the options for the htpasswd authentication filter.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcAuthenticationFilterOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcAuthenticationFilterOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | The options for this class

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcAuthenticationDatabaseOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationLdapOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationGroupOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationTokenOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationOpenidOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationTypekeyOptions::__construct()` | Constructs an object with the specified values.
`ezcAuthenticationHtpasswdOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3